Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS', 'Android']
  'require':
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/kguiaddons' : '@same'

- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS', 'Android']
  'require':
    'frameworks/kwidgetsaddons' : '@same'

- 'on': ['Linux', 'FreeBSD']
  'require':
    'frameworks/kglobalaccel' : '@same'

Options:
  cmake-options: "-DBUILD_EXAMPLES=ON"
  test-before-installing: True
  require-passing-tests-on: [ '@all' ]
